Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class USU_IdiomaDbHelper
    Inherits DbHelper(Of USU_Idioma,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListUSU_IdiomaBySEG_Usuarios(ByVal idUsuario as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Idioma)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idUsuario = idUsuario
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListUSU_IdiomaByUSU_IdiomaExperienciaLee(ByVal IDI_Lee As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of USU_Idioma)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).IDI_Lee = IDI_Lee
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListUSU_IdiomaByUSU_IdiomaExperienciaEscribe(ByVal IDI_Escribe As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of USU_Idioma)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).IDI_Escribe = IDI_Escribe
        Return QueryObject.ExecuteList()
    End Function

    Public Function GetListUSU_IdiomaByUSU_IdiomaExperienciaHabla(ByVal IDI_Habla As Int32, Optional ByVal foreignLevel As Integer = 0) As EntityList(Of USU_Idioma)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).IDI_Habla = IDI_Habla
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
